<div class="create-dish-header">
    <div class="header-text">
        <p>New dish</p>
    </div>
    <div class="header-button">
    </div>
</div>

<div class="create-dish-wrapper">
    <div class="dish-form">
        <div class="dish-form-data">
            <p>
                <mat-form-field appearance="outline">
                    <mat-label>Name</mat-label>
                    <input matInput [(ngModel)]="dish.name">
                </mat-form-field>
            </p>
            <p>
                <mat-form-field appearance="outline">
                    <mat-label>Description</mat-label>
                    <textarea matInput [(ngModel)]="dish.description"></textarea>
                </mat-form-field>
            </p>
            <p>
                <mat-form-field appearance="outline">
                    <mat-label>Calories</mat-label>
                    <input type="number" matInput [(ngModel)]="dish.calories">
                </mat-form-field>
            </p>
            <p>
                <mat-form-field appearance="outline">
                    <mat-label>Recipe</mat-label>
                    <textarea matInput [(ngModel)]="dish.recipe"></textarea>
                </mat-form-field>
            </p>
            <p>
                <mat-form-field appearance="outline">
                    <mat-label>Main Ingredient</mat-label>
                    <input type="text"
                           placeholder="Choose a ingredient"
                           aria-label="Main Ingredient"
                           matInput
                           [formControl]="mainIngredientControl"
                           [matAutocomplete]="auto">
                    <mat-autocomplete autoActiveFirstOption #auto="matAutocomplete">
                      <mat-option *ngFor="let option of filteredOptions | async" [value]="option">
                        {{option}}
                      </mat-option>
                    </mat-autocomplete>
                </mat-form-field>
            </p>
        </div>
        <div class="dialog-actions">
            <button class="button" (click)="createDish()">Create Dish</button>
        </div>
    </div>
</div>


